const nodeSsh = require('node-ssh');
const ssh = new nodeSsh();


module.exports = (command, config) => {
    console.log('l6');
    return new Promise(function(resolve, reject) {
        ssh.connect({
            host: config.ssh.host,
            username: config.ssh.user,
            privateKey: config.ssh.key
        })
        .then(function(){
            ssh.execCommand('/usr/bin/sudo -- ' + command, {cwd: config.infrastructure})
            .then(function(result) {
                if(result.code === 0) {
                    console.log('l17');
                    resolve(result);
                } else {
                    console.log('l20');
                    reject(result);
                }
            }, function(result) {
                console.log('l24');
                reject(result);
            })
        }, function(result) {
            console.log('l28');
            reject(result);
        });
    });
};